#lang slideshow

(provide para/center cmd cmd-sized chapitrage1 chapitrage2 image splash)


; ------------------ custom functions ------------------

; paragraphe centré
(define (para/center str)
  (para #:align 'center str))

; para avec la police de tt
(define (cmd str)
  (cmd-sized 24 str))

; code trop long mais pouvant tenir sur une seule ligne
(define (cmd-sized taille str)
  (para
   (frame
    (text str (cons 'bold 'modern) taille 0))))

; chapitrage du slideshow d'installation de Fluxus
(define chapitrage1
  (make-outline
   'présentation "Présentation de Fluxus" #f
   'deplinux "Les dépendances sous GNU/Linux" #f
   'fluxlinux "Installation de Fluxus sous GNU/Linux" #f
   'depmac "Les dépendances sous Mac OS 10.5" #f
   'fluxmac "Installation de Fluxus sous Mac OS 10.5" #f))

; chapitrage du slideshow de présentation de Fluxus
(define chapitrage2
  (make-outline
   'firstart "Première prise en main" #f
   'animation "Les animations" #f
   'recursiv "La récursivité" #f
   'audio "Fluxus et la musique" #f
   'drscheme "Fluxus et DrScheme" #f
   'fluxus-like "Les \"Fluxus-like\"" #f
   'wip "Fluxus, en constante évolution" #f))

(define (image fichier)
  (scale (bitmap (build-path (current-directory) fichier)) 0.5))

; splashscreen
(define (splash)
  (slide
   #:title "Projet Fluxus"
   #:layout 'center
   (scale
    (image "ressources/title.jpg") 0.8)
   (t "projet réalisé par")
    (tt "Wohler Paraita")
    (tt "Sidime Mahamoud")
    (tt "Diallo Ibrahima Sory")))

; ------------------------------------------------------